import 'dart:ui';

import '../models/category.dart';
import '../models/component.dart';

class Utils {
  static List<ComponentCategory> getComponentCategories() {
    return [
      ComponentCategory(
          categoryName: "All Diseases", imgUrl: "images/symbols/all.png"),
      ComponentCategory(
          categoryName: "Allergic Diseases",
          imgUrl: "images/symbols/allergic.png"),
      ComponentCategory(
          categoryName: "Viral Diseases", imgUrl: "images/symbols/viral.png"),
      ComponentCategory(
          categoryName: "Bacterial Diseases",
          imgUrl: "images/symbols/bacterial.png"),
    ];
  }

  static List<Category> getMockedCategories() {
    return [
      Category(
          topic: "Treatments",
          color: const Color(0xffEBF6FF),
          imageUrl: "images/box1.png",
          icon: "images/dog_treatment-removebg.png"),
      Category(
          topic: "Causes",
          color: const Color(0xffEBF6FF),
          imageUrl: "images/box1.png",
          icon: "images/dog_infection-removebg.png"),
      Category(
          topic: "Symptoms",
          color: const Color(0xffEBF6FF),
          imageUrl: "images/box1.png",
          icon: "images/dog_sy2-removebg.png"),
      Category(
          topic: "Diagnoses",
          color: const Color(0xffEBF6FF),
          imageUrl: "images/box1.png",
          icon: "images/dog_diagnose-removebg.png"),
      Category(
          topic: "Preventions",
          color: const Color(0xffEBF6FF),
          imageUrl: "images/box1.png",
          icon: "images/dog_prevention-removebg.png"),
      Category(
          topic: "Areas",
          color: const Color(0xffEBF6FF),
          imageUrl: "images/box1.png",
          icon: "images/dog_area-removebg.png")
    ];
  }
}
